<!-- default badges list -->
![](https://img.shields.io/endpoint?url=https://codecentral.devexpress.com/api/v1/VersionRange/199047075/23.1.3%2B)
[![](https://img.shields.io/badge/Open_in_DevExpress_Support_Center-FF7200?style=flat-square&logo=DevExpress&logoColor=white)](https://supportcenter.devexpress.com/ticket/details/T802166)
[![](https://img.shields.io/badge/📖_How_to_use_DevExpress_Examples-e9f6fc?style=flat-square)](https://docs.devexpress.com/GeneralInformation/403183)
<!-- default badges end -->

# Grid for Blazor - Create a custom record deletion confirmation dialog

The example uses the DevExpress Blazor Popup control ([DxPopup](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxPopup)) alongside our Blazor Grid (to create a custom confirmation dialog).

![Display a custom confirmation dialog before deleting a grid record](application-page.png)

The project illustrates how you can incorporate the following capabilities into your Blazor-powered web application:

- Create a custom confirmation dialog with the **Yes** and **No** [buttons](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxButton).
- Add a custom **Delete** button to a Blazor Grid column.
- Display a confirmation dialog when a user [clicks](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxButton.Click) the **Delete** button.
- Delete the record when a user clicks the **Yes** button.

## Files to Review

- [Index.razor](./CS/DataGridShowDeleteConfirmation/Pages/Index.razor)

## Documentation

- [Grid: Data Binding](https://docs.devexpress.com/Blazor/403737/grid/bind-to-data)
- [Grid: Edit Data and Validate Input](https://docs.devexpress.com/Blazor/403454/grid/edit-data-and-validate-input)
- [Show and Close a Popup](https://docs.devexpress.com/Blazor/DevExpress.Blazor.DxPopup#show-and-close-a-popup)

## More Examples

- [Grid for Blazor - How to edit a row on a separate page](https://supportcenter.devexpress.com/ticket/details/t802173/grid-for-blazor-how-to-edit-a-row-on-a-separate-page)
